Name:           wmacpi
Version:        2.2
Release:        0.4.rc1%{?dist}
Summary:        Dockapp for laptop acpi/apm information

Group:          User Interface/X
License:        GPLv2+
URL:            http://himi.org/wmacpi/
Source0:        http://himi.org/wmacpi/download/wmacpi-2.2rc1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel
BuildRequires:  libdockapp-devel

%description
Dockapp which displays acpi/apm information.
his is a typical laptop ACPI dockapp. One interesting feature is the "timer" 
mode, where you can keep track of how long the laptop has been "on battery". 
This is opposite of the information usually provided by the BIOS, which is 
"time remaining", and in many cases wrong. This option can be toggled at 
run-time. System messages scroll on the bottom of the window, AC plug flashes 
when battery is charging, and green LED inside the big button flashes red if 
battery level is critical low.

%prep
%setup -q -n %{name}-%{version}rc1

%build
# -lXpm -lXext are not directly needed, only through libdockapp
make CFLAGS="$RPM_OPT_FLAGS -ansi" \
LDFLAGS="$RPM_OPT_FLAGS -lX11 -ldockapp" \
%{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__install} %{_builddir}/%{name}-%{version}rc1/wmacpi ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1
%{__install} -m644 -p wmacpi.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/wmacpi
%{_mandir}/man1/wmacpi.1*

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2-0.4.rc1
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 2.2-0.3.rc1
- Rebuilt for gcc43

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.2-0.2.rc1
- version upgrade
- new license tag

* Tue Jan 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2-0.1.a1
- version upgrade (#201851)

* Wed Jan 10 2007 Patrice Dumas <pertusus[AT]free.fr> 2.1-1
- update to 2.1

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-7
- FE6 rebuild

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-6
- Rebuild for Fedora Extras 5

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-5
- modular xorg integration

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-4
- better description
- add dist tag

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-3
- fix x86_64 xorg lib dir

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-2
-minor cleanups

* Fri Jun 03 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.34-1
- Initial Release
